## ros-foxy-phidgets-api 2.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(phidgets_api)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(libphidget22 REQUIRED)

include_directories(include)

add_library(phidgets_api src/accelerometer.cpp
                         src/analog_input.cpp
                         src/analog_inputs.cpp
                         src/digital_input.cpp
                         src/digital_inputs.cpp
                         src/digital_output.cpp
                         src/digital_outputs.cpp
                         src/encoder.cpp
                         src/encoders.cpp
                         src/gyroscope.cpp
                         src/ir.cpp
                         src/magnetometer.cpp
                         src/motor.cpp
                         src/motors.cpp
                         src/phidget22.cpp
                         src/spatial.cpp
                         src/temperature.cpp)

ament_target_dependencies(phidgets_api
  libphidget22
)

install(TARGETS phidgets_api
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
)

install(DIRECTORY include/
    DESTINATION include
)

ament_export_dependencies(ament_cmake libphidget22)
ament_export_include_directories(include)
ament_export_libraries(phidgets_api)

ament_package()

=== debian/changelog ===
ros-foxy-phidgets-api (2.1.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 13 Apr 2022 00:00:00 -0000

ros-foxy-phidgets-api (2.1.1-1focal) focal; urgency=high

  * Merge pull request #119 <https://github.com/ros-drivers/phidgets_drivers/issues/119> from mintar/fix-reattachment-foxy
    spatial: Fix behavior after USB reattachment
  * spatial: Add attach + detach handlers
  * Fix some clang-tidy warnings
  * Fix typo in error message (#104 <https://github.com/ros-drivers/phidgets_drivers/issues/104>)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 17 Feb 2022 00:00:00 -0000

ros-foxy-phidgets-api (2.1.0-1focal) focal; urgency=high

  * Switch header guards to _HPP SUFFIX.
  * Remove unnecessary cstddef.
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Mar 2021 00:00:00 -0000

ros-foxy-phidgets-api (2.0.2-1focal) focal; urgency=high

  * Use '=default' for default destructors. (#66 <https://github.com/ros-drivers/phidgets_drivers/issues/66>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-phidgets-api (2.0.1-1focal) focal; urgency=high

  * Switch the buildtoo_depend to ament_cmake_ros. (#65 <https://github.com/ros-drivers/phidgets_drivers/issues/65>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 00:00:00 -0000

ros-foxy-phidgets-api (2.0.0-1focal) focal; urgency=high

  * Remove unnecessary base-class initialization.
  * Get rid of C-style casts.
  * Make sure what() method is marked as override.
  * Rename method parameter name to match implementation.
  * Make sure to include cstddef for libphidget22.h include.
  * Make sure to initialize class member variables.
  * Reformat using clang
  * Make sure to set the VoltageRange to AUTO at the beginning.
  * Only publish motor_back_emf if supported by DC Motor device (#53 <https://github.com/ros-drivers/phidgets_drivers/issues/53>)
  * Print out the serial number when connecting.
  * Port phidgets_api to ament.
  * Ignore all packages for ROS 2 port.
  * Update maintainers in package.xml
  * Merge pull request #39 <https://github.com/ros-drivers/phidgets_drivers/issues/39> from clalancette/add-libphidget22
  * Add in try/catch blocks for connecting.
  * Fixes from review.
  * Implement data interval setting for analog inputs.
  * Add in the license files and add to the headers.
  * Completely remove libphidget21.
  * Rewrite Motor Phidget to use libphidget22.
  * Rewrite High Speed Encoder to use libphidget22.
  * Rewrite IR to use libphidget22.
  * Rewrite IMU using libphidget22.
  * Add support for Phidgets Magnetometer sensors.
  * Add support for Phidgets Gyroscope sensors.
  * Add support for Phidgets Accelerometer sensors.
  * Add in support for Phidgets Temperature sensors.
  * Rewrite phidgets_ik on top of libphidget22 classes.
  * Add in support for Phidgets Analog inputs.
  * Add in support for Phidgets Digital Inputs.
  * Add in support for Phidgets Digital Outputs.
  * Add in libphidget22 helper functions.
  * Rename Phidget class to Phidget21 class.
  * Switch to C++14.
  * Merge pull request #36 <https://github.com/ros-drivers/phidgets_drivers/issues/36> from clalancette/phidget-cleanup2
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Remove unused indexHandler from Encoder class.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Push libphidgets API calls down to phidgets_api.
  * Quiet down the to-be-overridden callbacks.
  * Consistently use nullptr instead of 0.
  * Make the phidget_api destructors virtual.
  * Style cleanup.
  * Move libusb dependency into the libphidget21 package.xml.
  * Switch to package format 2.
  * Cleanup spacing in all of the CMakeLists.txt
  * Contributors: Chris Lalancette, Martin Günther, Peter Polidoro

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 00:00:00 -0000

ros-foxy-phidgets-api (0.7.9-1focal) focal; urgency=high

  * Add missing OnInputChange handler (#33 <https://github.com/ros-drivers/phidgets_drivers/issues/33>)
  * Contributors: Kai Hermann

 -- Martin Günther <martin.guenther@dfki.de>  Fri, 28 Jun 2019 00:00:00 -0000

ros-foxy-phidgets-api (0.7.8-1focal) focal; urgency=high

  * Install udev rules on binary package installation
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 06 May 2019 00:00:00 -0000

ros-foxy-phidgets-api (0.7.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 18 Sep 2018 00:00:00 -0000

ros-foxy-phidgets-api (0.7.6-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Aug 2018 00:00:00 -0000

ros-foxy-phidgets-api (0.7.5-1focal) focal; urgency=high

  * Add support for the phidgets_ik (Phidgets Interface Kit)
  * Contributors: Russel Howe, James Sarrett, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 31 Jan 2018 00:00:00 -0000

ros-foxy-phidgets-api (0.7.4-1focal) focal; urgency=high

  * Fix typo and doxygen docs
  * Contributors: Jose Luis Blanco Claraco, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Oct 2017 00:00:00 -0000

ros-foxy-phidgets-api (0.7.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 30 Jun 2017 00:00:00 -0000

ros-foxy-phidgets-api (0.7.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 02 Jun 2017 00:00:00 -0000

ros-foxy-phidgets-api (0.7.1-1focal) focal; urgency=high

  * Set event handlers for motor + encoder APIs
  * Added basic motor api
  * Added basic encoder board api
  * Contributors: Zach Anderson, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 22 May 2017 00:00:00 -0000

ros-foxy-phidgets-api (0.7.0-1focal) focal; urgency=high



=== debian/control ===
Source: ros-foxy-phidgets-api
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-ros, ros-foxy-libphidget22, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/phidgets_api
Standards-Version: 3.9.2

Package: ros-foxy-phidgets-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-libphidget22, ros-foxy-ros-workspace
Description: A C++ Wrapper for the Phidgets C API

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-phidgets-api//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
